GET curl Example for the Account's Endpoint - NetCloud-API-Getting-Started-Guide/GET-curl-Example-for-the-Account-s-Endpoint

NetCloud API Getting Started Guide

NetCloud Feature
Extensibility > NCM API
ft:locale
en-US
ft:sourceName
Paligo_Prod

Calling the account's endpoint with the GET method returns information about your root account and your subaccounts.

curl -v -X GET -H "X-ECM-API-ID: $X_ECM_API_ID" -H "X-ECM-API-KEY: $X_ECM_API_KEY" -H "X-CP-API-ID: $X_CP_API_ID" -H "X-CP-API-KEY: $X_CP_API_KEY" -H "Content-Type: application/json" -L "https://www.cradlepointecm.com/api/v2/accounts/"

You can expect an HTTP 200 response and a response body similar to the following when making a successful GET call to the account's endpoint:

{            
    "data": [
        {
            "account": "https://www.cradlepointecm.com/api/v2/accounts/308/",
            "id": "241",
            "is_disabled": false,
            "name": "cradlepoint",
            "resource_url": "https://www.cradlepointecm.com/api/v2/accounts/241/"
        },
        {
            "account": "https://www.cradlepointecm.com/api/v2/accounts/123/",
            "id": "308",
            "is_disabled": false,
            "name": "root",
            "resource_url": "https://www.cradlepointecm.com/api/v2/accounts/308/"
        },
        { ... }
    ],
    "meta": {
        "limit": 20,
        "next": null,
        "offset": 0,
        "previous": null
    }
}